# Uses of Class
serp.bytecode.LoadInstruction

Packages that use LoadInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of LoadInstruction in serp.bytecode

Methods in serp.bytecode that return LoadInstruction
Modifier and Type
Method
Description
`LoadInstruction`
Code.`aload()`
Load an object local variable onto the stack.
`LoadInstruction`
Code.`dload()`
Load a double local variable onto the stack.
`LoadInstruction`
Code.`fload()`
Load a float local variable onto the stack.
`LoadInstruction`
Code.`iload()`
Load an int local variable onto the stack.
`LoadInstruction`
Code.`lload()`
Load a long local variable onto the stack.
`LoadInstruction`
LoadInstruction.`setThis()`
Equivalent to `setLocal (0).setType (Object.class)`; the `this` ptr is always passed in local variable 0.
`LoadInstruction`
Code.`xload()`
Load a local variable onto the stack.

## Uses of LoadInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type LoadInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterLoadInstruction(LoadInstruction obj)`
`void`
PrettyPrintVisitor.`enterLoadInstruction(LoadInstruction obj)`
`void`
BCVisitor.`exitLoadInstruction(LoadInstruction obj)`